| ApossC SDK V01.15

Functions
SDK_Motion_Movement.mc File Reference

Functions for the simplification of movements. More...

`#include <SysDef.mh>`
`#include "SDK_Motion_Movement.mh"`

Go to the source code of this file.

## Functions
long | sdkStartContinuousMove (long axis, long vel, long acc)
| Start a movement in continuous position mode. More...
long | sdkStopContinuousMove (long axis, long dec)
| Stop a movement in continuous position mode. More...

## Detailed Description

Functions for the simplification of movements.

Revision
  39

Definition in file SDK_Motion_Movement.mc.

## Function Documentation

## ◆ sdkStartContinuousMove()

long sdkStartContinuousMove | ( | long | axis,
|  | long | vel,
|  | long | acc
| ) |  |

Start a movement in continuous position mode.

The function starts a movement with a given acceleration and speed. The axis must have been switched on before. The specified velocity value will be scaled by the parameters Maximum velocity VELMAX and Velocity Resolution VELRES to determine the final command velocity. See Vel for more information.

Parameters

  axis | Axis module number
  vel | Velocity value (negative value for reversing), Range: 1..VELRES, Command Velocity = vel * VELMAX/VELRES
  acc | Scaled acceleration value. Range: 1..VELRES

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Examples
  Maxon_EC45_flat_1ax_BC_Enc.mc, Maxon_EC45_flat_1ax_BC_Hall.mc, Maxon_EC45_flat_1ax_SC_Hall_Inc.mc, Maxon_ECi40_1ax_SC_OL_Inc.mc, Maxon_ECi40_3ax_SC_OL_Inc.mc, Maxon_ECi52_1ax_SC_SSI.mc, Maxon_RE_40_1ax_Inc.mc, Stepper_XY_CL.mc, and Stepper_XY_OL.mc.

Definition at line 26 of file SDK_Motion_Movement.mc.

27 {
28 Cvel(axis, vel); // Set the velocity
29 Acc(axis, acc); // Set the acceleration
30 AxisCvelStart(axis); // Start constant velocity mode
31
32 return(1);
33 }

## ◆ sdkStopContinuousMove()

long sdkStopContinuousMove | ( | long | axis,
|  | long | dec
| ) |  |

Stop a movement in continuous position mode.

The function stops a constant velocity movement with a given deceleration.

Parameters

  axis | Axis module number
  dec | Scaled deceleration value. Range: 1..VELRES

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Definition at line 45 of file SDK_Motion_Movement.mc.

46 {
47 Dec(axis, dec); // Set the deceleration
48 AxisCvelStop(axis); // Stop constant velocity mode
49
50 return(1);
51 }

Data Sheets | Released Software | Software Manuals | Hardware Manuals | Maxon Shop

Maxon Support Center